%define gimptool gimptool-2.0
%define gimpplugindir %(%gimptool --gimpplugindir)/plug-ins

%if 0%{?fedora}%{?rhel} == 0 || 0%{?fedora} >= 6 || 0%{?rhel} >= 5
%define splitpackage 0%{!?_without_splitpackage:1}
%else
%define splitpackage 0%{?_with_splitpackage:1}
%endif

%if %splitpackage
%define spkg 1
%endif

Summary: Tool to retrieve raw image data from digital cameras
Name: ufraw
Version: 0.11
Release: 8%{?dist}
Group: Applications/Multimedia
License: GPL
URL: http://ufraw.sourceforge.net
Source0: http://dl.sourceforge.net/ufraw/ufraw-%{version}.tar.gz
BuildRequires: gimp-devel >= 2.0
BuildRequires: gimp >= 2.0
BuildRequires: gtk2-devel >= 2.6.0
BuildRequires: lcms-devel
BuildRequires: libexif-devel >= 0.6.13
BuildRequires: exiv2-devel
BuildRequires: libtiff-devel 
BuildRequires: libjpeg-devel
BuildRequires: pkgconfig
BuildRequires: perl
BuildRequires: gettext
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%__id_u -n)
%if %splitpackage
Requires: ufraw-common = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: ufraw < 0.10
Conflicts: ufraw < 0.10
%else
Requires(post): GConf2
Requires(preun): GConf2
Requires(post): shared-mime-info
Requires(postun): shared-mime-info
%endif

BuildRequires: automake libtool
Patch1: ufraw-0.11-exiv2.patch
Patch2: ufraw-0.11-cmserrorhandler.patch

%description
UFRaw is a tool for opening raw format images of digital cameras.

%if %splitpackage
%package common
Summary: Common files needed by UFRaw
Group: Applications/Multimedia
Obsoletes: ufraw < 0.10
Conflicts: ufraw < 0.10
Requires(post): GConf2
Requires(preun): GConf2
Requires(post): shared-mime-info
Requires(postun): shared-mime-info

%description common
The ufraw-common files includes common files for UFRaw, e.g. language support.

%package gimp
Summary: GIMP plugin to retrieve raw image data from digital cameras
Group: Applications/Multimedia
Requires: ufraw-common = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: ufraw < 0.10
Conflicts: ufraw < 0.10

%description gimp
The ufraw-gimp package contains a GIMP plugin for opening raw format images of
digital cameras.
%endif

%prep
cat << EOF

Building UFRaw with these settings:
splitpackage:   %splitpackage

EOF
%setup -q

%patch1 -p1 -b .exiv2
%patch2 -p1 -b .cmserrorhandler
./autogen.sh

%build
%configure --with-exiv2 --with-libexif --enable-mime --enable-extras
make schemasdir=%{_sysconfdir}/gconf/schemas

%install
rm -rf %buildroot
make DESTDIR=%buildroot schemasdir=%{_sysconfdir}/gconf/schemas install
# don't ship dcraw binary
rm -f %{buildroot}%{_bindir}/dcraw

%find_lang %{name}

%clean
rm -rf %buildroot

%post %{?spkg:common}
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/ufraw.schemas >& /dev/null
update-mime-database >& /dev/null || :
%if %splitpackage
%post
%endif
update-desktop-database >& /dev/null || :

%preun %{?spkg:common}
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule /etc/gconf/schemas/ufraw.schemas >& /dev/null || :

%postun %{?spkg:common}
update-mime-database >& /dev/null || :
%if %splitpackage
%postun
%endif
update-desktop-database >& /dev/null || :

%files %{?spkg:common} -f %{name}.lang
%defattr(-, root, root, -)
%doc COPYING README
%{_datadir}/mime/packages/ufraw-mime.xml
%{_sysconfdir}/gconf/schemas/ufraw.schemas

%if %splitpackage
%files
%defattr(-, root, root, -)
%endif
%_bindir/*
%_datadir/pixmaps/*
%_datadir/applications/*.desktop
%_mandir/man1/*

%if %splitpackage
%files gimp
%defattr(-, root, root, -)
%endif
%dir %{gimpplugindir}
%{gimpplugindir}/ufraw-gimp

%changelog
* Thu May 24 2007 Nils Philippsen <nphilipp@redhat.com> - 0.11-8
- use correct patch

* Thu May 24 2007 Nils Philippsen <nphilipp@redhat.com> - 0.11-7
- prevent crash in CMS error handler (#239147)

* Wed Apr 25 2007 Rex Dieter <rdieter[AT]fedoraproject> - 0.11-6
- exiv2 patch (#237846)

* Wed Apr 25 2007 Rex Dieter <rdieter[AT]fedoraproject> - 0.11-5
- respin for exiv2-0.14

* Tue Apr 24 2007 Nils Philippsen <nphilipp@redhat.com> - 0.11-4
- eventually put GConf2, shared-mime-info requirements into -common subpackage
  (#235583)

* Mon Mar 12 2007 Nils Philippsen <nphilipp@redhat.com> - 0.11-3
- split pkg from fc6/rhel5 on to avoid upgrading mess

* Mon Mar 12 2007 Nils Philippsen <nphilipp@redhat.com> - 0.11-2
- use %%rhel, not %%redhat

* Mon Mar 12 2007 Nils Philippsen <nphilipp@redhat.com> - 0.11-1
- version 0.11

* Mon Feb 19 2007 Nils Philippsen <nphilipp@redhat.com> - 0.10-2
- don't ship dcraw binary (#229044)

* Wed Feb 07 2007 Nils Philippsen <nphilipp@redhat.com> - 0.10-1
- version 0.10
- add BR: perl, exiv2-devel, gettext
- split standalone tools and GIMP plugin in Rawhide

* Mon Aug 28 2006 Nils Philippsen <nphilipp@redhat.com> - 0.9.1-1
- version 0.9.1
- require gimp >= 2.0 for building

* Fri Feb 17 2006 Nils Philippsen <nphilipp@redhat.com> - 0.6-2
- rebuild

* Mon Nov 21 2005 Nils Philippsen <nphilipp@redhat.com> - 0.6-1
- version 0.6

* Thu Oct 06 2005 Nils Philippsen <nphilipp@redhat.com> - 0.5-1
- version 0.5

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.4-2
- rebuild to sync arches

* Tue Mar 29 2005 Seth Vidal <skvidal at phy.duke.edu> - 0.4-1
- buildrequire libtiff-devel and libjpeg-devel

* Thu Mar 24 2005 Nils Philippsen <nphilipp@redhat.com> - 0.4-1
- buildrequire lcms-devel
- trim summary
- change buildroot

* Wed Mar 02 2005 Nils Philippsen <nphilipp@redhat.com>
- version 0.4
- update URLs

* Wed Dec 01 2004 Nils Philippsen <nphilipp@redhat.com>
- version 0.2
- initial build
